<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: MAX7219 Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classMAX7219-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">MAX7219 Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>MAX7219 and MAX7221 controller.  
 <a href="classMAX7219.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="MAX7219_8h_source.html">MAX7219.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad7a658d65e610e3e35fff96279bd5abe"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMAX7219.html#ad7a658d65e610e3e35fff96279bd5abe">MAX7219</a> (<a class="el" href="classSPI.html">SPI</a> *spi, int numDevices=1)</td></tr>
<tr class="memdesc:ad7a658d65e610e3e35fff96279bd5abe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a new MAX7219 controller.  <a href="#ad7a658d65e610e3e35fff96279bd5abe">More...</a><br /></td></tr>
<tr class="separator:ad7a658d65e610e3e35fff96279bd5abe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae21eeb2689755ebbd05b1df56e5bcca0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMAX7219.html#ae21eeb2689755ebbd05b1df56e5bcca0">clearDisplay</a> (int addr)</td></tr>
<tr class="memdesc:ae21eeb2689755ebbd05b1df56e5bcca0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Switch all Leds on the display off.  <a href="#ae21eeb2689755ebbd05b1df56e5bcca0">More...</a><br /></td></tr>
<tr class="separator:ae21eeb2689755ebbd05b1df56e5bcca0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2765aed08c5ea70f43937c8b88d8b71a"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMAX7219.html#a2765aed08c5ea70f43937c8b88d8b71a">getDeviceCount</a> ()</td></tr>
<tr class="memdesc:a2765aed08c5ea70f43937c8b88d8b71a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the number of devices attached to this MAX7219.  <a href="#a2765aed08c5ea70f43937c8b88d8b71a">More...</a><br /></td></tr>
<tr class="separator:a2765aed08c5ea70f43937c8b88d8b71a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a4624d45533a9de52585202f7b2fc78"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMAX7219.html#a8a4624d45533a9de52585202f7b2fc78">setChar</a> (int digit, char value, bool dp=false, int addr=0)</td></tr>
<tr class="memdesc:a8a4624d45533a9de52585202f7b2fc78"><td class="mdescLeft">&#160;</td><td class="mdescRight">Display a character on a 7-Segment display.  <a href="#a8a4624d45533a9de52585202f7b2fc78">More...</a><br /></td></tr>
<tr class="separator:a8a4624d45533a9de52585202f7b2fc78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4cc8fe7ad21942e059ac4a931fce502e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMAX7219.html#a4cc8fe7ad21942e059ac4a931fce502e">setColumn</a> (int col, uint8_t value, int addr=0)</td></tr>
<tr class="memdesc:a4cc8fe7ad21942e059ac4a931fce502e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set all 8 Led's in a column to a new state.  <a href="#a4cc8fe7ad21942e059ac4a931fce502e">More...</a><br /></td></tr>
<tr class="separator:a4cc8fe7ad21942e059ac4a931fce502e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4f94d965ecde62d2dd8a4091005b0a0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMAX7219.html#aa4f94d965ecde62d2dd8a4091005b0a0">setDigit</a> (int digit, uint8_t value, bool dp=false, int addr=0)</td></tr>
<tr class="memdesc:aa4f94d965ecde62d2dd8a4091005b0a0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Display a hexadecimal digit on a 7-Segment Display.  <a href="#aa4f94d965ecde62d2dd8a4091005b0a0">More...</a><br /></td></tr>
<tr class="separator:aa4f94d965ecde62d2dd8a4091005b0a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a204133a6b253f5d519acd5dc0077f32a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMAX7219.html#a204133a6b253f5d519acd5dc0077f32a">setIntensity</a> (int intensity, int addr=0)</td></tr>
<tr class="memdesc:a204133a6b253f5d519acd5dc0077f32a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the brightness of the display.  <a href="#a204133a6b253f5d519acd5dc0077f32a">More...</a><br /></td></tr>
<tr class="separator:a204133a6b253f5d519acd5dc0077f32a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebc8bfad65290b1b4580688c719f7e13"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMAX7219.html#aebc8bfad65290b1b4580688c719f7e13">setLed</a> (int row, int col, bool state, int addr=0)</td></tr>
<tr class="memdesc:aebc8bfad65290b1b4580688c719f7e13"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the status of a single Led.  <a href="#aebc8bfad65290b1b4580688c719f7e13">More...</a><br /></td></tr>
<tr class="separator:aebc8bfad65290b1b4580688c719f7e13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e50065060426b3433ec16ea2e304760"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMAX7219.html#a1e50065060426b3433ec16ea2e304760">setNumber</a> (uint32_t number, int addr=0)</td></tr>
<tr class="memdesc:a1e50065060426b3433ec16ea2e304760"><td class="mdescLeft">&#160;</td><td class="mdescRight">Display a number on the 7-Segment display.  <a href="#a1e50065060426b3433ec16ea2e304760">More...</a><br /></td></tr>
<tr class="separator:a1e50065060426b3433ec16ea2e304760"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecd0b20a63757fd74e849369dd797e74"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMAX7219.html#aecd0b20a63757fd74e849369dd797e74">setRow</a> (int row, uint8_t value, int addr=0)</td></tr>
<tr class="memdesc:aecd0b20a63757fd74e849369dd797e74"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set all 8 Led's in a row to a new state.  <a href="#aecd0b20a63757fd74e849369dd797e74">More...</a><br /></td></tr>
<tr class="separator:aecd0b20a63757fd74e849369dd797e74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14cd47938ff60879b676d9a0c02d4268"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMAX7219.html#a14cd47938ff60879b676d9a0c02d4268">setScanLimit</a> (int limit, int addr=0)</td></tr>
<tr class="memdesc:a14cd47938ff60879b676d9a0c02d4268"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the number of digits (or rows) to be displayed. See datasheet for side effects of the scanlimit on the brightness of the display.  <a href="#a14cd47938ff60879b676d9a0c02d4268">More...</a><br /></td></tr>
<tr class="separator:a14cd47938ff60879b676d9a0c02d4268"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a948326a74baa10f8fead88c7b04a21b1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMAX7219.html#a948326a74baa10f8fead88c7b04a21b1">shutdown</a> (bool status, int addr=0)</td></tr>
<tr class="memdesc:a948326a74baa10f8fead88c7b04a21b1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the shutdown (power saving) mode for the device.  <a href="#a948326a74baa10f8fead88c7b04a21b1">More...</a><br /></td></tr>
<tr class="separator:a948326a74baa10f8fead88c7b04a21b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>MAX7219 and MAX7221 controller. </p>
<p>This is a port of the Arduino <a href="http://playground.arduino.cc/Main/MAX7219">MAX7219 class</a> to the ESP32. We can attach multiple IC instances daisy chained together. Each device has its own <em>address</em> with the first device being 0 (the default).</p>
<p>All the devices are in shutdown mode by default when we start. Any devices that are to be used must be taken out of shutdown mode with a call to:</p>
<div class="fragment"><div class="line"><a class="code" href="classMAX7219.html#a948326a74baa10f8fead88c7b04a21b1">shutdown</a>(<span class="keyword">false</span>);</div></div><!-- fragment --><p>For a given configuration, we are likely going to work with the MAX7219 as either an 8 digit 7 segment LED driver or an 8x8 led matrix. Working with the two styles have similarities and distinctions. For the 7 segment LED, we will typically use <a class="el" href="classMAX7219.html#aa4f94d965ecde62d2dd8a4091005b0a0" title="Display a hexadecimal digit on a 7-Segment Display.">setDigit()</a>, <a class="el" href="classMAX7219.html#a8a4624d45533a9de52585202f7b2fc78" title="Display a character on a 7-Segment display.">setChar()</a> and <a class="el" href="classMAX7219.html#a1e50065060426b3433ec16ea2e304760" title="Display a number on the 7-Segment display.">setNumber()</a> to set digits while in the 8x8 led matrix, we will use <a class="el" href="classMAX7219.html#aebc8bfad65290b1b4580688c719f7e13" title="Set the status of a single Led.">setLed()</a>, <a class="el" href="classMAX7219.html#aecd0b20a63757fd74e849369dd797e74" title="Set all 8 Led&#39;s in a row to a new state.">setRow()</a> and <a class="el" href="classMAX7219.html#a4cc8fe7ad21942e059ac4a931fce502e" title="Set all 8 Led&#39;s in a column to a new state.">setColumn()</a>. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ad7a658d65e610e3e35fff96279bd5abe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad7a658d65e610e3e35fff96279bd5abe">&#9670;&nbsp;</a></span>MAX7219()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">MAX7219::MAX7219 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classSPI.html">SPI</a> *&#160;</td>
          <td class="paramname"><em>spi</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>numDevices</em> = <code>1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Create a new MAX7219 controller. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">spi</td><td>SPI controller. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">numDevices</td><td>maximum number of devices that can be controlled that are daisy chained together. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ae21eeb2689755ebbd05b1df56e5bcca0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae21eeb2689755ebbd05b1df56e5bcca0">&#9670;&nbsp;</a></span>clearDisplay()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MAX7219::clearDisplay </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>addr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Switch all Leds on the display off. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">addr</td><td>Address of the display to control. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a2765aed08c5ea70f43937c8b88d8b71a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2765aed08c5ea70f43937c8b88d8b71a">&#9670;&nbsp;</a></span>getDeviceCount()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int MAX7219::getDeviceCount </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Gets the number of devices attached to this MAX7219. </p>
<dl class="section return"><dt>Returns</dt><dd>The number of devices on this MAX7219. </dd></dl>

</div>
</div>
<a id="a8a4624d45533a9de52585202f7b2fc78"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a4624d45533a9de52585202f7b2fc78">&#9670;&nbsp;</a></span>setChar()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MAX7219::setChar </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>digit</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char&#160;</td>
          <td class="paramname"><em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>dp</em> = <code>false</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>addr</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Display a character on a 7-Segment display. </p>
<p>There are only a few characters that make sense here : '0','1','2','3','4','5','6','7','8','9','0', 'A','b','c','d','E','F','H','L','P', '.','-','_',' '</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">digit</td><td>The position of the character on the display (0..7). </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>The character to be displayed. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dp</td><td>Sets the decimal point. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">addr</td><td>Address of the display. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a4cc8fe7ad21942e059ac4a931fce502e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4cc8fe7ad21942e059ac4a931fce502e">&#9670;&nbsp;</a></span>setColumn()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MAX7219::setColumn </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>col</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>addr</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set all 8 Led's in a column to a new state. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">col</td><td>column which is to be set (0..7). </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>each bit set to 1 will light up the corresponding Led. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">addr</td><td>address of the display. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aa4f94d965ecde62d2dd8a4091005b0a0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa4f94d965ecde62d2dd8a4091005b0a0">&#9670;&nbsp;</a></span>setDigit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MAX7219::setDigit </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>digit</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>dp</em> = <code>false</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>addr</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Display a hexadecimal digit on a 7-Segment Display. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">digit</td><td>The position of the digit on the display (0..7). </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>The value to be displayed. (0x00..0x0F). </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dp</td><td>Sets the decimal point. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">addr</td><td>Address of the display. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a204133a6b253f5d519acd5dc0077f32a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a204133a6b253f5d519acd5dc0077f32a">&#9670;&nbsp;</a></span>setIntensity()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MAX7219::setIntensity </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>intensity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>addr</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the brightness of the display. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">intensity</td><td>the brightness of the display. (0..15). </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">addr</td><td>The address of the display to control. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aebc8bfad65290b1b4580688c719f7e13"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aebc8bfad65290b1b4580688c719f7e13">&#9670;&nbsp;</a></span>setLed()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MAX7219::setLed </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>row</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>col</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>state</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>addr</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the status of a single Led. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">row</td><td>The row of the Led (0..7). </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">col</td><td>The column of the Led (0..7). </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">state</td><td>If true the led is switched on, if false it is switched off. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">addr</td><td>Address of the display. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a1e50065060426b3433ec16ea2e304760"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1e50065060426b3433ec16ea2e304760">&#9670;&nbsp;</a></span>setNumber()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MAX7219::setNumber </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>number</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>addr</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Display a number on the 7-Segment display. </p>
<p>A non negative whole number that is 8 digits or less is displayed.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">number</td><td>The number to display. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">addr</td><td>Address of the display. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aecd0b20a63757fd74e849369dd797e74"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aecd0b20a63757fd74e849369dd797e74">&#9670;&nbsp;</a></span>setRow()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MAX7219::setRow </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>row</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>addr</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set all 8 Led's in a row to a new state. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">row</td><td>Row which is to be set (0..7). </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>Each bit set to 1 will light up the corresponding Led. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">addr</td><td>Address of the display. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a14cd47938ff60879b676d9a0c02d4268"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a14cd47938ff60879b676d9a0c02d4268">&#9670;&nbsp;</a></span>setScanLimit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MAX7219::setScanLimit </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>limit</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>addr</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the number of digits (or rows) to be displayed. See datasheet for side effects of the scanlimit on the brightness of the display. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">limit</td><td>Number of digits to be displayed (1..8). </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">addr</td><td>Address of the display to control. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a948326a74baa10f8fead88c7b04a21b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a948326a74baa10f8fead88c7b04a21b1">&#9670;&nbsp;</a></span>shutdown()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MAX7219::shutdown </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>status</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>addr</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the shutdown (power saving) mode for the device. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">status</td><td>If true the device goes into power-down mode. Set to false for normal operation. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">addr</td><td>The address of the display to control. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="MAX7219_8h_source.html">MAX7219.h</a></li>
<li>MAX7219.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
